﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Entities.SQLudeoDB;
using Model.Business;
using Model.DTO;

namespace Model.Mappers
{
    public static class InquiryMapper
    {
        public static Inquiry FromDTOToModel(this InquiryDTO InqDto)
        {
            return new Inquiry(InqDto.Id,InqDto.Title,InqDto.Description,InqDto.IsUser,InqDto.Database.FromDTOToModel(),InqDto.InquiryTable.FromDTOToModel());
        }

    }
}
