﻿using Model.Business;
using Model.DTO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Mappers
{
    public static class InquiryTableMapper
    {
        public static InquiryTable FromDTOToModel(this InquiryTableDTO InqTDto)
        {
            return new InquiryTable(InqTDto.OwnerId, InqTDto.ConnectionInfo, InqTDto.DatabaseName);
        }

        public static InquiryTableDTO FromModelToDTO(this InquiryTable InqT)
        {
            return new InquiryTableDTO(InqT.OwnerId, InqT.Owner, InqT.DatabaseName, InqT.ConnectionInfo);
        }
    }
}
