﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Model.Business;
using Model.DTO;

namespace Model.Mappers
{
    public static class SolutionMapper
    {
        public static Solution FromDTOToModel(this SolutionDTO dto)
        {
            return new Solution(dto.OwnerId,dto.Owner.FromDTOToModel(),dto.MurdererFirstName,dto.MurdererLastName,dto.MurderPlace,dto.MurderWeapon,dto.Explanation);
        }
    }
}
